%global fontname     sil-abyssinica
Name:           sil-abyssinica-fonts
Version:        1.200
Release:        18
Summary:        SIL Abyssinica Fonts
License:        OFL
URL:            http://scripts.sil.org/AbyssinicaSIL
Source0:        https://software.sil.org/downloads/r/abyssinica/AbyssinicaSIL%{version}.zip
Source1:        66-sil-abyssinica.conf

BuildArch:      noarch
Requires:       fontpackages-filesystem
BuildRequires:  fontpackages-devel dos2unix

%description
Abyssinica SIL is based on Ethiopic calligraphic traditions.
The Ethiopic script is used for writing many of the languages of Ethiopia and Eritrea.

%prep
%autosetup -n AbyssinicaSIL-%{version} -p1

%build
find -iname "*.txt" -exec dos2unix {} \;

%install
install -d -m 755 %{buildroot}%{_fontdir}
install -m 644 *.ttf %{buildroot}%{_fontdir}
install -d -m 755 %{buildroot}%{_fontconfig_templatedir} %{buildroot}%{_fontconfig_confdir}
install -m 644 -p %{SOURCE1} %{buildroot}%{_fontconfig_templatedir}/66-sil-abyssinica.conf
ln -s %{_fontconfig_templatedir}/66-sil-abyssinica.conf %{buildroot}%{_fontconfig_confdir}/66-sil-abyssinica.conf

%_font_pkg -f 66-sil-abyssinica.conf *.ttf
%doc documentation/* FONTLOG.txt README.txt OFL.txt OFL-FAQ.txt

%changelog
* Mon Sep 14 2020 Ge Wang<wangge20@huawei.com> - 1.200.18
- Modify Source0 Url

* Fri Feb 14 2020 gulining<gulining1@huawei.com> - 1.200-17
- package init
